package intrinsic.mx.rpc;

public class AsyncRequest extends intrinsic.mx.messaging.Producer {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AsyncRequest() {
}


/** Static Methods */

/** Methods */
public native void fault(intrinsic.mx.messaging.messages.ErrorMessage arg0, intrinsic.mx.messaging.messages.IMessage arg1);
public native void acknowledge(intrinsic.mx.messaging.messages.AcknowledgeMessage arg0, intrinsic.mx.messaging.messages.IMessage arg1);
public native void invoke(intrinsic.mx.messaging.messages.IMessage arg0, intrinsic.mx.rpc.IResponder arg1);

}
